package com.gic.haoban.manage.web.vo.order.integral;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ScanVO implements Serializable{

    private static final long serialVersionUID = 1L;

    private String recordId;

    private Integer hasOrder;

    private String enterpriseId;

    private Date finishTime;

    /**
     * 核销时间 诺手说，这认这个名字
     */
    private Date createTime;

    private Date payTime;

    private String payNumber;

    private String orderNo;

    private String exchangeId;

    private Integer allCostIntegral;

    private Double payCost;

    private Integer status;

    private String consignee;

    private String consigneePhone;

    private String address;

    private String point;

    private String takeTime;

    private String writeOffCode;

    private String fetchCode;


    private List<ProductVO> products;

    /**
     * 1 核销，0 未核销
     */
    private Integer checked;

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void  pushProduct(ProductVO productVO){
        if(this.products ==null){
            products = new ArrayList<>(  );
        }

        products.add( productVO );
    }

    public Integer getHasOrder(){
        return hasOrder;
    }

    public void setHasOrder(Integer hasOrder){
        this.hasOrder = hasOrder;
    }

    public List<ProductVO> getProducts(){
        return products;
    }

    public void setProducts(List<ProductVO> products){
        this.products = products;
    }

    public String getRecordId(){
        return recordId;
    }

    public void setRecordId(String recordId){
        this.recordId = recordId;
    }

    public String getEnterpriseId(){
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId){
        this.enterpriseId = enterpriseId;
    }

    public Date getFinishTime(){
        return finishTime;
    }

    public void setFinishTime(Date finishTime){
        this.finishTime = finishTime;
    }

    public Date getPayTime(){
        return payTime;
    }

    public void setPayTime(Date payTime){
        this.payTime = payTime;
    }

    public String getPayNumber(){
        return payNumber;
    }

    public void setPayNumber(String payNumber){
        this.payNumber = payNumber;
    }

    public String getOrderNo(){
        return orderNo;
    }

    public void setOrderNo(String orderNo){
        this.orderNo = orderNo;
    }

    public String getExchangeId(){
        return exchangeId;
    }

    public void setExchangeId(String exchangeId){
        this.exchangeId = exchangeId;
    }


    public Integer getAllCostIntegral(){
        return allCostIntegral;
    }

    public void setAllCostIntegral(Integer allCostIntegral){
        this.allCostIntegral = null == allCostIntegral?0:allCostIntegral;
    }

    public Double getPayCost(){
        return payCost;
    }

    public void setPayCost(Double payCost){
        this.payCost = payCost;
    }

    public Integer getStatus(){
        return status;
    }

    public void setStatus(Integer status){
        this.status = status;
    }



    public String getConsignee(){
        return consignee;
    }

    public void setConsignee(String consignee){
        this.consignee = consignee;
    }

    public String getConsigneePhone(){
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone){
        this.consigneePhone = consigneePhone;
    }

    public String getAddress(){
        return address;
    }

    public void setAddress(String address){
        this.address = address;
    }

    public String getPoint(){
        return point;
    }

    public void setPoint(String point){
        this.point = point;
    }

    public String getTakeTime(){
        return takeTime;
    }

    public void setTakeTime(String takeTime){
        this.takeTime = takeTime;
    }

    public String getWriteOffCode(){
        return writeOffCode;
    }

    public void setWriteOffCode(String writeOffCode){
        this.writeOffCode = writeOffCode;
    }

    public String getFetchCode(){
        return fetchCode;
    }

    public void setFetchCode(String fetchCode){
        this.fetchCode = fetchCode;
    }
}
